Bug 23338 - Cannot specify replacement price when ordering from file if not using fields to order
Summary: Cannot specify replacement price when ordering from file if not using fields ...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-18 13:11 UTC by Nick Clemens
Modified: 2019-09-17 19:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23338: Allow specifying order level replacement price when adding to basket from file (3.45 KB, patch)
2019-07-18 13:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23338: Allow specifying order level replacement price when adding to basket from file (3.50 KB, patch)
2019-07-19 20:28 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23338: Allow specifying order level replacement price when adding to basket from file (3.56 KB, patch)
2019-08-17 06:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-07-18 13:11:06 UTC
To test:
0 - Clear MarcFieldsToOrder and MarcItemFieldsToOrder preferences
1 - Have a budget/fund/vendor in acquisitions
2 - Create or find a basket for vendor
3 - Add to basket from a file or staged batch (can use any record)
4 - Note there is no option for replacement price
5 - Add the order
6 - Replacement price is 0 - you must modify order or set upon receiving
Comment 1 Nick Clemens 2019-07-18 13:13:09 UTC
Created attachment 91579 [details] [review]
Bug 23338: Allow specifying order level replacement price when adding to basket from file

To test:
 0 - Clear MarcFieldsToOrder and MarcItemFieldsToOrder preferences
 1 - Have a budget/fund/vendor in acquisitions
 2 - Create or find a basket for vendor
 3 - Add to basket from a file or staged batch (can use any record)
 4 - Note there is no option for replacement price
 5 - Add the order
 6 - Replacement price is 0 - you must modify order or set upon receiving
 7 - Apply patch
 8 - Repeat
 9 - Disable matchign check during add to basket
10 - Note you can specify a replacement price
11 - Do so
12 - Note it is saved in order
Comment 2 Maryse Simard 2019-07-19 20:28:06 UTC
Created attachment 91672 [details] [review]
Bug 23338: Allow specifying order level replacement price when adding to basket from file

To test:
 0 - Clear MarcFieldsToOrder and MarcItemFieldsToOrder preferences
 1 - Have a budget/fund/vendor in acquisitions
 2 - Create or find a basket for vendor
 3 - Add to basket from a file or staged batch (can use any record)
 4 - Note there is no option for replacement price
 5 - Add the order
 6 - Replacement price is 0 - you must modify order or set upon receiving
 7 - Apply patch
 8 - Repeat
 9 - Disable matchign check during add to basket
10 - Note you can specify a replacement price
11 - Do so
12 - Note it is saved in order

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-08-17 06:53:40 UTC
Created attachment 92333 [details] [review]
Bug 23338: Allow specifying order level replacement price when adding to basket from file

To test:
 0 - Clear MarcFieldsToOrder and MarcItemFieldsToOrder preferences
 1 - Have a budget/fund/vendor in acquisitions
 2 - Create or find a basket for vendor
 3 - Add to basket from a file or staged batch (can use any record)
 4 - Note there is no option for replacement price
 5 - Add the order
 6 - Replacement price is 0 - you must modify order or set upon receiving
 7 - Apply patch
 8 - Repeat
 9 - Disable matchign check during add to basket
10 - Note you can specify a replacement price
11 - Do so
12 - Note it is saved in order

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2019-08-19 07:29:49 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-28 13:56:33 UTC
Pushed to 19.05.x for 19.05.04
Comment 6 Lucas Gass 2019-09-17 19:31:53 UTC
backported to 18.11.x for 18.11.10